Package opennlp.tools.cmdline.langdetect

# Class LanguageDetectorFineGrainedReportListener

java.lang.Object
opennlp.tools.cmdline.FineGrainedReportListener
opennlp.tools.cmdline.langdetect.LanguageDetectorFineGrainedReportListener

All Implemented Interfaces:
  `opennlp.tools.langdetect.LanguageDetectorEvaluationMonitor`, `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.langdetect.LanguageSample>`

public class LanguageDetectorFineGrainedReportListener extends opennlp.tools.cmdline.FineGrainedReportListener implements opennlp.tools.langdetect.LanguageDetectorEvaluationMonitor
Generates a detailed report for the POS Tagger.

It is possible to use it from an API and access the statistics using the provided getters.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class opennlp.tools.cmdline.FineGrainedReportListener

  `opennlp.tools.cmdline.FineGrainedReportListener.ConfusionMatrixLine, opennlp.tools.cmdline.FineGrainedReportListener.Counter, opennlp.tools.cmdline.FineGrainedReportListener.GroupedLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.GroupedMatrixLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.MatrixLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.SimpleLabelComparator, opennlp.tools.cmdline.FineGrainedReportListener.Stats`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LanguageDetectorFineGrainedReportListener()`
  Creates a listener that will print to `System.err`
  `LanguageDetectorFineGrainedReportListener(OutputStream outputStream)`
  Creates a listener that prints to a given `OutputStream`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `correctlyClassified(opennlp.tools.langdetect.LanguageSample reference, opennlp.tools.langdetect.LanguageSample prediction)`
  `void`
  `misclassified(opennlp.tools.langdetect.LanguageSample reference, opennlp.tools.langdetect.LanguageSample prediction)`
  `void`
  `writeReport()`

  ### Methods inherited from class opennlp.tools.cmdline.FineGrainedReportListener

  `getLabelComparator, getMatrixLabelComparator`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LanguageDetectorFineGrainedReportListener

    public LanguageDetectorFineGrainedReportListener()
    Creates a listener that will print to `System.err`

  - ### LanguageDetectorFineGrainedReportListener

    public LanguageDetectorFineGrainedReportListener(OutputStream outputStream)
    Creates a listener that prints to a given `OutputStream`

- ## Method Details

  - ### misclassified

    public void misclassified(opennlp.tools.langdetect.LanguageSample reference, opennlp.tools.langdetect.LanguageSample prediction)
    Specified by:
      `misclassified` in interface `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.langdetect.LanguageSample>`

  - ### correctlyClassified

    public void correctlyClassified(opennlp.tools.langdetect.LanguageSample reference, opennlp.tools.langdetect.LanguageSample prediction)
    Specified by:
      `correctlyClassified` in interface `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.langdetect.LanguageSample>`

  - ### writeReport

    public void writeReport()
    Specified by:
      `writeReport` in class `opennlp.tools.cmdline.FineGrainedReportListener`